summaryrefslogtreecommitdiff
path: root/configure.ac
diff options
context:
space:
mode:
authorChris Michael <cpmichael@osg.samsung.com>2016-06-07 08:04:10 -0400
committerChris Michael <cpmichael@osg.samsung.com>2016-06-07 08:04:10 -0400
commitd48c95f158780735573a4bf90ba7e783c5a5ae56 (patch)
treea349f8678cc2b3cdc7931ae0002ad579ef1bfb01 /configure.ac
parent7d18eb8dac5ea98fe2530f0d8531e015982d3dc4 (diff)
efl: Bump required wayland version
This makes our wayland libraries require newest wayland release of 1.11 Signed-off-by: Chris Michael <cpmichael@osg.samsung.com>
Diffstat (limited to 'configure.ac')
-rw-r--r--configure.ac10
1 files changed, 5 insertions, 5 deletions
diff --git a/configure.ac b/configure.ac
index 9416b5f..b6616f3 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1942,7 +1942,7 @@ AC_ARG_ENABLE([wayland],
1942 [want_wayland="no"]) 1942 [want_wayland="no"])
1943 1943
1944if test "${want_wayland}" = "yes"; then 1944if test "${want_wayland}" = "yes"; then
1945 EFL_PKG_CHECK_STRICT([wayland-client >= 1.8.0]) 1945 EFL_PKG_CHECK_STRICT([wayland-client >= 1.11.0])
1946fi 1946fi
1947 1947
1948# Wayland IVI-Shell 1948# Wayland IVI-Shell
@@ -3451,7 +3451,7 @@ EFL_INTERNAL_DEPEND_PKG([ECORE_WL2], [efl])
3451EFL_INTERNAL_DEPEND_PKG([ECORE_WL2], [eina]) 3451EFL_INTERNAL_DEPEND_PKG([ECORE_WL2], [eina])
3452 3452
3453EFL_DEPEND_PKG([ECORE_WL2], [WAYLAND], 3453EFL_DEPEND_PKG([ECORE_WL2], [WAYLAND],
3454 [wayland-server >= 1.10.0 wayland-client >= 1.10.0 wayland-cursor >= 1.10.0 xkbcommon >= 0.5.0]) 3454 [wayland-server >= 1.11.0 wayland-client >= 1.11.0 wayland-cursor >= 1.11.0 xkbcommon >= 0.6.0])
3455 3455
3456EFL_EVAL_PKGS([ECORE_WL2]) 3456EFL_EVAL_PKGS([ECORE_WL2])
3457 3457
@@ -4418,7 +4418,7 @@ EFL_ADD_FEATURE([ECORE_IMF], [xim])
4418# wayland 4418# wayland
4419if test "x${want_ecore_imf_wayland}" = "xyes" ; then 4419if test "x${want_ecore_imf_wayland}" = "xyes" ; then
4420 PKG_CHECK_MODULES([WAYLAND], 4420 PKG_CHECK_MODULES([WAYLAND],
4421 [wayland-client >= 1.8.0], 4421 [wayland-client >= 1.11.0],
4422 [ 4422 [
4423 have_ecore_imf_wayland="yes" 4423 have_ecore_imf_wayland="yes"
4424 AC_DEFINE([BUILD_ECORE_IMF_WAYLAND], [1], [Ecore Imf Wayland Support]) 4424 AC_DEFINE([BUILD_ECORE_IMF_WAYLAND], [1], [Ecore Imf Wayland Support])
@@ -5265,7 +5265,7 @@ EFL_LIB_END_OPTIONAL([Efl_Js])
5265 5265
5266### Add Wayland server library if test is enabled 5266### Add Wayland server library if test is enabled
5267if test "x${want_tests}" = "xyes" -a "x${want_wayland}" = "xyes"; then 5267if test "x${want_tests}" = "xyes" -a "x${want_wayland}" = "xyes"; then
5268 EFL_DEPEND_PKG([ECORE_WAYLAND_SRV], [WAYLAND], [wayland-server >= 1.10.0]) 5268 EFL_DEPEND_PKG([ECORE_WAYLAND_SRV], [WAYLAND], [wayland-server >= 1.11.0])
5269 EFL_EVAL_PKGS([ECORE_WAYLAND_SRV]) 5269 EFL_EVAL_PKGS([ECORE_WAYLAND_SRV])
5270fi 5270fi
5271 5271
@@ -5304,7 +5304,7 @@ EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [eo])
5304EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [efl]) 5304EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [efl])
5305EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [ecore]) 5305EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [ecore])
5306EFL_DEPEND_PKG([ECORE_BUFFER], [WAYLAND], 5306EFL_DEPEND_PKG([ECORE_BUFFER], [WAYLAND],
5307 [wayland-server >= 1.10.0 wayland-client >= 1.10.0]) 5307 [wayland-server >= 1.11.0 wayland-client >= 1.11.0])
5308 5308
5309PKG_CHECK_MODULES([X11_DRI_COMMON], 5309PKG_CHECK_MODULES([X11_DRI_COMMON],
5310 [ 5310 [